<h2 mat-dialog-title>Select report options</h2>

<mat-dialog-content>
  <form novalidate #chooseTypeForm="ngForm">
    <mat-radio-group required name="reportType" class="radioGroupClass" aria-label="Select an option" [(ngModel)]="selectedReport">
      <mat-radio-button class="radioButtonclass" value="location-earnings" name="earnings">Earnings report</mat-radio-button> <br/>
      <mat-radio-button value="location-occupancy">Occupancy report</mat-radio-button>
    </mat-radio-group>

    <mat-form-field class="datePicker">
      <input required matInput [(ngModel)]="startDate" [matDatepicker]="startDatePicker" placeholder="Choose a start date" name="startDate" (ngModelChange)="startTimeChanged()">
      <mat-datepicker-toggle matSuffix [for]="startDatePicker"></mat-datepicker-toggle>
      <mat-datepicker #startDatePicker></mat-datepicker>
      <mat-error *ngIf="chooseTypeForm.controls.startDate?.errors?.required">Start date is required</mat-error>
  </mat-form-field>

  <mat-form-field class="datePicker">
    <input required matInput [(ngModel)]="endDate" [matDatepicker]="endDatePicker" placeholder="Choose an end date" name="endDate"
    appEndDateValidator [startDate]="startDate" [startTime]='startTime' [endTime]='endTime'>
    <mat-datepicker-toggle matSuffix [for]="endDatePicker"></mat-datepicker-toggle>
    <mat-datepicker #endDatePicker></mat-datepicker>
    <mat-error *ngIf="chooseTypeForm.controls.endDate?.errors?.required">End date is required</mat-error>
    <mat-error *ngIf="chooseTypeForm.controls.endDate?.errors?.endDateBeforeStartTime">End date has to be after start date</mat-error>
  </mat-form-field>
  </form>
</mat-dialog-content>

<mat-dialog-actions>
    <button class="mat-raised-button"(click)="submit()" [disabled]="!chooseTypeForm.valid" name="continue-button">Continue</button>
    <button class="mat-raised-button mat-primary"(click)="cancel()">Cancel</button>
</mat-dialog-actions>
